Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## juzu.asset
Enum AssetType

    java.lang.Object
      java.lang.Enum<AssetType>
          juzu.asset.AssetType

All Implemented Interfaces:
  Serializable, Comparable<AssetType>

    public enum AssetType

extends Enum<AssetType>

Author:
  Julien Viet

Enum Constant Summary
`SCRIPT`
`STYLESHEET`

Method Summary
`Set<String>` | `getExtensions()`
`static AssetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STYLESHEET

    public static final AssetType STYLESHEET

### SCRIPT

    public static final AssetType SCRIPT

Method Detail

### values

    public static AssetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AssetType c : AssetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AssetType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getExtensions

    public Set<String> getExtensions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.